//Andnotor, developpez.net Defi N5 Sudoku solver
//------------------------------------------------------------------------------
//Constantes utilises pour les animations et effets sonores.
unit EffectsConst;

interface

const
//== Gnral ===================================================================

  PLAY_FIRST   = 1;

  PLAY_BEEP    = PLAY_FIRST;             //Beep des touches

  PLAY_START   = PLAY_FIRST +5;
  PLAY_START1  = PLAY_FIRST +5;
  PLAY_START2  = PLAY_FIRST +6;
  PLAY_START3  = PLAY_FIRST +7;

  PLAY_STOP    = PLAY_FIRST +8;
  PLAY_STOP1   = PLAY_FIRST +8;
  PLAY_STOP2   = PLAY_FIRST +9;
  PLAY_STOP3   = PLAY_FIRST +10;

  PLAY_QUIT    = PLAY_FIRST +12;
  PLAY_QUIT1   = PLAY_FIRST +12;
  PLAY_QUIT2   = PLAY_FIRST +13;
  PLAY_QUIT3   = PLAY_FIRST +14;
  PLAY_QUIT4   = PLAY_FIRST +15;

  SUDOKU_RESOLVED = 20;
  SUDOKU_FAIL     = 21;

  PLAY_LAST    = 30;

//== Fiche principale - Main (jeu) =============================================

  MAIN_FIRST        = PLAY_LAST +1;

  DRAW_GRID         = MAIN_FIRST;

  DROPNUMBER_OK     = MAIN_FIRST +5;
  DROPNUMBER_FAIL   = MAIN_FIRST +6;
  DROPNUMBER_ERASE  = MAIN_FIRST +7;

  DRAW_NUMBER       = MAIN_FIRST +8;

  DRAW_WAVE         = MAIN_FIRST +9;

  DRAW_BUTTON       = MAIN_FIRST +10;
  DRAW_BUTTONS      = MAIN_FIRST +11;

  MAIN_LAST         = MAIN_FIRST +20;

//== Fiche - Door (Porte) ======================================================

  DOOR_FIRST        = MAIN_LAST +1;

  INIT_DOOR         = DOOR_FIRST;

  OPENDOOR          = DOOR_FIRST +1;
  OPENDOOR1         = DOOR_FIRST +1;
  OPENDOOR2         = DOOR_FIRST +2;
  OPENDOOR3         = DOOR_FIRST +3;
  OPENDOOR4         = DOOR_FIRST +4;
  OPENDOOR5         = DOOR_FIRST +5;

  CLOSEDOOR         = DOOR_FIRST +10;
  CLOSEDOOR1        = DOOR_FIRST +10;
  CLOSEDOOR2        = DOOR_FIRST +11;
  CLOSEDOOR3        = DOOR_FIRST +12;
  CLOSEDOOR4        = DOOR_FIRST +13;
  CLOSEDOOR5        = DOOR_FIRST +14;

  DOOR_LAST         = MAIN_LAST +20;

//== Fiche HAL =================================================================

  HAL_FIRST                  = DOOR_LAST +1;

  //Les dialogues
  HAL_TALKING_FIRST          = HAL_FIRST;
  HAL_TALKING                = HAL_FIRST;
  HAL_TALKING_JUSTWHAT       = HAL_FIRST +1;
  HAL_TALKING_STOPDAVE       = HAL_FIRST +2;
  HAL_TALKING_MYMINDISGOING  = HAL_FIRST +3;
  HAL_TALKING_HELLODAVE      = HAL_FIRST +4;
  HAL_TALKING_ICANNOTDOTHAT  = HAL_FIRST +5;
  HAL_TALKING_JUSTONEMOMENT  = HAL_FIRST +6;
  HAL_TALKING_INFOCOMPLETED  = HAL_FIRST +7;
  HAL_TALKING_GOODAFTERNOON  = HAL_FIRST +8;
  HAL_TALKING_DAISY          = HAL_FIRST +9;
  HAL_TALKING_LAST           = HAL_FIRST +10;

  //Constantes pour effets visuels
  HAL_ON                     = HAL_FIRST +20;
  HAL_ON1                    = HAL_FIRST +20;
  HAL_FADINGOUT              = HAL_FIRST +25;

  //Constantes pour effets visuels sur l'toile  la fin du programme
  STAR_FADINGIN              = HAL_FIRST +30;
  STAR_FADINGOUT             = HAL_FIRST +31;

  HAL_LAST                   = HAL_FIRST +50;

implementation

end.
