//Andnotor, developpez.net Defi N5 Sudoku solver
//------------------------------------------------------------------------------
//Redfinition du TSpeedButton
//------------------------------------------------------------------------------
unit SpeedButtonEx;

interface

uses
  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons;

type
  TSpeedButton = class(Buttons.TSpeedButton)
  private
    procedure Draw;
  protected
    procedure MouseDown(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;
    procedure MouseUp(Button: TMouseButton; Shift: TShiftState; X, Y: Integer); override;
    procedure SetEnabled(Value: Boolean); override;
    procedure CMButtonPressed(var Message: TMessage); message CM_BUTTONPRESSED;
  end;

implementation

uses EffectsConst, LayeredForm;

{ TSpeedButton }

procedure TSpeedButton.CMButtonPressed(var Message: TMessage);
begin
  inherited;
  Draw;
end;

procedure TSpeedButton.Draw;
begin
  TfLayeredForm(Parent).Play(DRAW_BUTTON, integer(Self));
end;

procedure TSpeedButton.MouseDown(Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  TfLayeredForm(Parent).Play(PLAY_BEEP);
  inherited;
end;

procedure TSpeedButton.MouseUp(Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  inherited;
  Draw;
end;

procedure TSpeedButton.SetEnabled(Value: Boolean);
begin
  inherited;
  Draw;
end;

end.
