program Sudoku;

uses
  Forms,
  bass in 'bass.pas',
  LayeredImage in 'LayeredImage.pas',
  Effects in 'Effects.pas',
  LayeredForm in 'LayeredForm.pas' {fLayeredForm},
  HAL in 'HAL.pas' {fHAL},
  Main in 'Main.pas' {fMain},
  Door in 'Door.pas' {fDoor},
  DropNumber in 'DropNumber.pas' {fDropNumber},
  EffectsConst in 'EffectsConst.pas',
  CommandButtons in 'CommandButtons.pas' {fCommandButtons},
  SpeedButtonEx in 'SpeedButtonEx.pas',
  Display in 'Display.pas' {fDisplay},
  NumberButtons in 'NumberButtons.pas' {fNumberButtons},
  uSudoku in 'uSudoku.pas';

{$R *.res}

{$IFDEF BASS}
  {$R Sudoku_BASS.res}
{$ELSE}
  {$R Sudoku_Res.res}
{$ENDIF}

begin
{$IFDEF DEBUG}
  ReportMemoryLeaksOnShutDown := TRUE;
{$ENDIF}

  Application.Initialize;
  Application.MainFormOnTaskbar := True;
  Application.CreateForm(TfMain, fMain);
  Application.CreateForm(TfNumberButtons, fNumberButtons);
  Application.CreateForm(TfCommandButtons, fCommandButtons);
  Application.CreateForm(TfDoor, fDoor);
  Application.CreateForm(TfDisplay, fDisplay);
  Application.CreateForm(TfHAL, fHAL);
  Application.Run;
end.
